> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Duplicate a project

> Create a new project with the same configuration, environment variables, and schedule as an existing project. Snapshots are not copied.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public post /v1/projects/{projectId}/duplicate
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/projects/{projectId}/duplicate:
    post:
      tags:
        - Projects
      summary: Duplicate a project
      description: >-
        Create a new project with the same configuration, environment variables,
        and schedule as an existing project. Snapshots are not copied.
      operationId: duplicateProject
      parameters:
        - in: path
          name: projectId
          schema:
            type: string
            minLength: 1
            maxLength: 255
          required: true
      responses:
        '201':
          description: Duplicate a project
          content:
            application/json:
              schema:
                type: object
                properties:
                  jobIds:
                    type: array
                    items:
                      type: string
                      minLength: 1
                      maxLength: 255
                  project:
                    type: object
                    properties:
                      createdAt:
                        type: string
                        format: date-time
                      description:
                        type:
                          - string
                          - 'null'
                      id:
                        type: string
                        minLength: 1
                        maxLength: 255
                      includeDeps:
                        type: boolean
                        default: true
                      includeSkills:
                        type: boolean
                        default: true
                      name:
                        type: string
                      setupScript:
                        type:
                          - string
                          - 'null'
                      updatedAt:
                        type: string
                        format: date-time
                      activeSnapshots:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              minLength: 1
                              maxLength: 255
                            size:
                              type: string
                              enum:
                                - nano
                                - micro
                                - small
                                - medium
                                - large
                                - xl
                                - xxl
                                - ultra
                            builtAt:
                              type: string
                              format: date-time
                          required:
                            - id
                            - size
                            - builtAt
                          additionalProperties: false
                      agentInstructions:
                        type:
                          - string
                          - 'null'
                        maxLength: 20000
                      codeRepositoryIds:
                        type:
                          - array
                          - 'null'
                        items:
                          type: string
                          minLength: 1
                          maxLength: 255
                      color:
                        type: string
                        enum:
                          - neutral
                          - red
                          - orange
                          - yellow
                          - green
                          - teal
                          - blue
                          - purple
                          - pink
                      defaultForSizes:
                        type: array
                        items:
                          type: string
                          enum:
                            - nano
                            - micro
                            - small
                            - medium
                            - large
                            - xl
                            - xxl
                            - ultra
                      icon:
                        type: string
                        enum:
                          - folder
                          - code
                          - terminal
                          - book
                          - brain
                          - bug
                          - building
                          - cloud
                          - globe
                          - idea
                          - tools
                          - magic
                          - processor
                          - sandbox
                          - server
                          - tasks
                          - tactics
                          - images
                          - database
                          - api
                          - mobile
                          - package
                      onboardingDefault:
                        type: boolean
                        description: >-
                          True for the project created during onboarding until
                          it is first edited
                      sizes:
                        type: array
                        items:
                          type: string
                          enum:
                            - nano
                            - micro
                            - medium
                            - large
                            - xl
                            - xxl
                            - ultra
                      warmPoolEnabled:
                        type: boolean
                    required:
                      - createdAt
                      - description
                      - id
                      - includeDeps
                      - includeSkills
                      - name
                      - setupScript
                      - updatedAt
                      - activeSnapshots
                      - agentInstructions
                      - codeRepositoryIds
                      - color
                      - defaultForSizes
                      - icon
                      - onboardingDefault
                      - sizes
                      - warmPoolEnabled
                    additionalProperties: false
                required:
                  - jobIds
                  - project
                additionalProperties: false
        '400':
          description: >-
            Invalid request or missing required organization or user
            information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Project resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Project resource conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Project operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
      x-codeSamples:
        - lang: typescript
          label: TypeScript SDK
          source: |
            import Tembo from '@tembo-io/sdk';

            const client = new Tembo();

            const project = await client.projects.duplicate('projectId');
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.